#include<bits/stdc++.h>
using namespace std;
int main ()
{
    int n;
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n;
    if(n==1||n==0)
    {
        cout<<-1;
        return 0;
    }
    if(n%2==1)
    {
        n-=3;
        cout<<7;
    }
    while(n>0)
    {
        n-=2;
        cout<<1;
    }
    return 0;
}
